---
title: Deals
slug: rainforestapi/product-data-api/parameters/deals
docTags: 
createdAt: 2024-07-30T12:48:41.128Z
---

## Deals Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Deals Parameters are applicable when making a request with `type=deals`  to retrieve one of Lightning Deal, Customers' Most Loved, Trending, Summer Favorites, Back to School and Off to College results from Amazon's Deals page. The category of deals and Amazon domain are specified using the  `category_id`  and  `amazon_domain`  parameter. The parameters should be appended as querystring parameters to the Product Data API `GET` HTTP request.

Deals results are retrieved from the [deals listing page](https://www.amazon.com/gp/goldbox) on Amazon.



![](https://api.archbee.com/api/optimize/_2H-bV01Fa8fCx9qd5d88/xXN-5LZXs4RzXtFbkv-4R_image.png "Deals Page")

:::hint{type="info"}
**Category IDs**
You can retrieve category IDs for each  `amazon_domain`  using the [Categories API](https://docs.trajectdata.com/rainforestapi/categories-api/overview). Category IDs are also returned in the  `categories`  array in each  `type=deals`  [response](https://www.rainforestapi.com/docs/product-data-api/results/deals).

Multiple category IDs can be supplied, comma seperated, in the  `category_id`  parameter. For example, to request deals for Beauty ( `3760911` ) and Electronics ( `172282` ) categories on  `amazon.com`  the parameters would be  `category_id=3760911,172282&amazon_domain=amazon.com` .

If you wish to retrieve Deals from the deals homepage for a given  `amazon_domain` , simply omit the  `category_id`  parameter entirely.
:::

For example, to request deals results for Electronics category ID of  `172282`  on  `amazon.com`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.rainforestapi.com/request?api_key=demo&type=deals&category_id=15684181&amazon_domain=amazon.com
```

```curl
curl -L --get https://api.rainforestapi.com/request \
-d api_key="demo" \
-d type="deals" \
-d category_id="15684181" \
-d amazon_domain="amazon.com"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "deals",
  category_id: "15684181",
  amazon_domain: "amazon.com"
}

// make the http GET request to Rainforest API
axios.get('https://api.rainforestapi.com/request', { params })
  .then(response => {

    // print the JSON response from Rainforest API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'deals',
  'category_id': '15684181',
  'amazon_domain': 'amazon.com'
}

# make the http GET request to Rainforest API
api_result = requests.get('https://api.rainforestapi.com/request', params)

# print the JSON response from Rainforest API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'deals',
  'category_id' => '15684181',
  'amazon_domain' => 'amazon.com'
]);

# make the http GET request to Rainforest API
$ch = curl_init(sprintf('%s?%s', 'https://api.rainforestapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from Rainforest API
echo $api_result;

?>
```
:::

***

### Deals Parameters

The following parameters are available for all requests made when  `type=deals` .

**Note**  that the [common](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/common)  `include_html=true` ,  `output=html` ,  `customer_zipcode`  and  `customer_location`  parameters cannot be used when making Deals requests.

| `Parameter`          | `Required` | `Description`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| -------------------- | ---------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `category_id`        | `optional` | A comma-seperated list of Deals category IDs to retrieve deals results from, as returned by the [Categories API ](https://docs.trajectdata.com/rainforestapi/categories-api/overview). Category IDs are also returned in the `categories` array in each `type=deals` [response ](https://docs.trajectdata.com/rainforestapi/product-data-api/results/deals).  <br />Multiple category IDs can be supplied, comma seperated, in the `category_id` parameter. For example, to request deals for Beauty ( `3760911` ) and Electronics ( `172282` ) categories on `amazon.com` the parameters would be `category_id=3760911,172282&amazon_domain=amazon.com` .  <br />If you wish to retrieve Deals from the deals homepage for a given `amazon_domain` , simply omit the `category_id` parameter entirely.                                                                                                                                                                                                                                                                                                                                                                                      |
| `amazon_domain`      | `optional` | The Amazon domain to retrieve Deals from for the category ID(s) specified in the `category_id` parameter. For a full list of supported Amazon domains see [Supported Amazon Domains ](https://docs.trajectdata.com/rainforestapi/product-data-api/reference/amazon-domains).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `deal_types`         | `optional` | The types of deal to include. If you omit the `deal_types` parameter then all deal types are included.<br /><br />Valid values are:<br /><br />1) `lightning_deal`
2) Include Lightning Deals.<br /><br />1) `customers_most_loved`&#x20;
2) Include Customers' Most Loved<br /><br />1) `trending`&#x20;
2) Include Trending<br /><br />1) `summer_favorites`&#x20;
2) Include Summer Favorites<br /><br />1) `back_to_school`&#x20;
2) Include Back to School<br /><br />1) `off_to_college`&#x20;
2) Include Off to College<br /><br />**Important Notes on Deal Types**<br />1) Deal types vary by Amazon domain and may change over time. Always confirm that a deal type exists on the specific domain before making a request
2) If a deal type is not available, Amazon's response depends on your request parameters:
   1. With `deal_types` + `category_id`: Amazon redirects the request to **Today's Deals**. The scraper will capture Today's Deals and return those results.
   2. With `deal_types` only(no `category_id`): Amazon redirects to a **blank page**, and the response will contain an error.&#x20;
3) **In both cases, a credit is charged.**<br /><br /><br /> |
| `price_range`        | `optional` | Only includes deals for products within a specified price range If you omit the `price_range` parameter then all deals are included.  <br />**Note** Price tiers will vary based on amazon\_domain but for amazon.com the current price tiers are: <br />1) `1`
2) Under $25<br /><br />1) `2`
2) $25 to $50<br /><br />1) `3`
2) $50 - $100<br /><br />1) `4`
2) $100 - $200<br /><br />1) `5`
2) $200 & Above<br /><br /><br />                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `discount`           | `optional` | Only include deals for products with with a discount range. If you omit the `discount` discount parameter deals for products with any discount are included.<br /> Valid values are:<br />1) `10_percent_off`
2) Deals upto 10% off. (0% - 10%)<br /><br />1) `25_percent_off`
2) Deals upto 25% off.(0% - 25%)<br /><br />1) `50_percent_off`
2) Deals upto 50% off.(0% - 50%)<br /><br />1) `70_percent_off`
2) Deals upto 70% off.(0% - 70%)<br /><br />::Image[]{src="https://api.archbee.com/api/optimize/_2H-bV01Fa8fCx9qd5d88/WfRJqT48e61xjzmduCzcY_image.png" size="36" width="262" height="129" position="flex-start" caption="Discount Range" showCaption="true"}                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `prime_early_access` | `optional` | Determines whether to filter to only Prime Early Access deals:  <br />Valid values are:<br />1) `true`
2) Filter to only Prime Early Access deals.<br /><br />                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `prime_exclusive`    | `optional` | Determines whether to filter to only Prime Exclusive deals:  <br />Valid values are:<br />1) `true`
2) Filter to only Prime Exclusive deals.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `minimum_rating`     | `optional` | Only include deals for products with a customer rating meeting the specified criteria. If you omit the `minimum_rating` parameter deals for products with any rating are included. Valid values are:<br />1) `1_and_up`
2) Include deals for products with a 1-star customer rating and upwards.<br /><br />1) `2_and_up`
2) Include deals for products with a 2-star customer rating and upwards.<br /><br />1) `3_and_up`
2) Include deals for products with a 3-star customer rating and upwards.<br /><br />1) `4_and_up`
2) Include deals for products with a 4-star customer rating and upwards.<br />::Image[]{src="https://apiimages.imgix.net/rainforestapi/images/png/docs/minimum_rating.png?auto=format&ixlib=react-9.5.1-beta.1&w=150" size="96" width="150" height="90" position="center" showCaption="false" indent="2"}                                                                                                                                                                                                                                                                                                                                                      |
| `page`               | `optional` | The current page of deals results to retrieve. Inspect the `pagination.total_pages` property in the [Deals results ](https://docs.trajectdata.com/rainforestapi/product-data-api/results/deals)to see how many pages of deal results are available.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `max_page`           | `optional` | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/rainforestapi/product-data-api/pagination)docs for more information.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |

***

**Next Steps**
     [Deals Results](https://docs.trajectdata.com/rainforestapi/product-data-api/results/deals)
